Description

QGIS should support TTF or Opentype for symbol fill patterns in polygons. They would allow for easier color changes of symbol fills. Also,

many symbol fonts already exist. User should be able to select a font-family and select a character, next to the size and color changes,

and these would allow fill pattern customization.

History

#1 - 2011-04-04 08:50 AM - John Tull

This an enhancement that would still be valuable for QGIS. Because there are many symbol fonts available, e.g., 

http://www.nps.gov/hfc/carto/map-symbols.htm, it would benefit QGIS if those could be accessed as fill pattern objects similar to the current svg fill option.

#2 - 2011-07-22 04:12 AM - Alister Hood

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

This should actually be done by replacing the "SVG fill" symbol layer type with a generic "Marker fill" symbol layer type, which would have a

"Marker-Change" button to open the "Symbol properties" dialogue.

This is the same way the "Centroid fill" and "Outline: Marker line" Symbol layer types work, and would also enable the use of Simple or Ellipse markers, as

well as font or SVG markers.

#3 - 2011-07-31 07:16 PM - Alister Hood

Great: I see that a generic "point pattern fill" layer type has been implemented in trunk (although the "SVG fill" layer type has not been removed yet).

#4 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-11-16 09:22 PM - Nyall Dawson

This is safe to close now, right?

#6 - 2014-11-17 10:41 AM - John Tull

- Status changed from Open to Closed

Yes, I just checked and this is quite possible now with the symbology options. Thank you.
